- Create a new attribute for a ticket type
You can create a new attribute for a ticket type.
Intercom API version.
By default, it's equal to the version set in the app package.
The description of the attribute presented to the teammate or contact
The data type of the attribute
Whether the attribute is required to be filled in when teammates are creating the ticket in Inbox.
Whether the attribute is required to be filled in when contacts are creating the ticket in Messenger.
Whether the attribute is visible to teammates when creating a ticket in Inbox.
Whether the attribute is visible to contacts when creating a ticket in Messenger.
Whether the attribute allows multiple lines of text (only applicable to string attributes)
A comma delimited list of items for the attribute value (only applicable to list attributes)
- The production API serverhttps://api.intercom.io/ticket_types/{ticket_type_id}/attributes
- The european API serverhttps://api.eu.intercom.io/ticket_types/{ticket_type_id}/attributes
- The australian API serverhttps://api.au.intercom.io/ticket_types/{ticket_type_id}/attributes
curl -i -X POST \
'https://api.intercom.io/ticket_types/{ticket_type_id}/attributes' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.16' \
-d '{
"name": "Attribute Title",
"description": "Attribute Description",
"data_type": "string",
"required_to_create": false
}'Ticket Type Attribute created
String representing the object's type. Always has the value ticket_type_attribute.
The id of the workspace that the ticket type attribute belongs to.
The type of the data attribute (allowed values: "string list integer decimal boolean datetime files")
Whether the attribute is required or not for teammates.
Whether the attribute is required or not for contacts.
Whether the attribute is visible or not to teammates.
Whether the attribute is visible or not to contacts.
{ "type": "ticket_type_attribute", "id": "157", "workspace_id": "this_is_an_id640_that_should_be_at_least_", "name": "Attribute Title", "description": "Attribute Description", "data_type": "string", "input_options": { "multiline": false }, "order": 2, "required_to_create": false, "required_to_create_for_contacts": false, "visible_on_create": true, "visible_to_contacts": true, "default": false, "ticket_type_id": 63, "archived": false, "created_at": 1734537862, "updated_at": 1734537862 }